%global git_date  20240517
%global git_hash  f524604e

%global git_ver  4.19.4
%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:     xfce4-panel
Version:  %{git_ver}^%{git_date}g%{git_hash}
Release:  %{rel}%{?dist}
Summary:  Panel for the Xfce Desktop Environment
License:  GPLv2
URL:      https://gitlab.xfce.org/xfce/xfce4-panel
Source:   %{url}/%{src_name}


BuildRequires:  xfce4-dev-tools
BuildRequires:  make libtool gcc
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(garcon-1)
BuildRequires:  pkgconfig(exo-2)
BuildRequires:  pkgconfig(libxfce4windowing-0)
BuildRequires:  pkgconfig(gtk-layer-shell-0)


%description
The Xfce Panel is part of the Xfce Desktop Environment and features
application launchers, panel menus, a workspace switcher and more.

%package libs
Summary:  libs for %{name}
%description libs
Libs for the Xfce Panel

%package devel
Summary:  devel files for %{name}
Requires:  %{name}-libs = %{version}-%{release}
%description devel
%{summary}

%prep
%autosetup -p1 -n %{name}

%build
./autogen.sh
%configure --enable-maintainer-mode
%make_build


%install
%make_install


%find_lang %{name}

%ldconfig_scriptlets


%files -f %{name}.lang
%doc README.md
%license COPYING COPYING.LIB
%{_bindir}/*
%{_datadir}/xfce4/panel/plugins/*
%{_datadir}/icons/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/*
#%%{_datadir}/vala/*
#%%{_datadir}/gir-1.0/*

%files libs
%{_libdir}/lib*.so.*
%{_libdir}/xfce4/panel/*
#%%{_libdir}/girepository-1.0/*

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
%autochangelog
